package com.dji.sdk.cloudapi.control;

import com.dji.sdk.common.BaseModel;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.util.List;

/**
 * Pilot 释放云端控制权：cloud_control_release
 */
public class CloudControlReleaseRequest extends BaseModel {

    @NotNull
    @Size(min = 1)
    private List<String> controlKeys;

    public CloudControlReleaseRequest() {
    }

    public List<String> getControlKeys() {
        return controlKeys;
    }

    public CloudControlReleaseRequest setControlKeys(List<String> controlKeys) {
        this.controlKeys = controlKeys;
        return this;
    }

    @Override
    public String toString() {
        return "CloudControlReleaseRequest{" +
                "controlKeys=" + controlKeys +
                '}';
    }
}
